import { IRootStore } from '../../store/RootStore';
export declare class MediaHandler {
    private root;
    constructor(root: IRootStore);
    private get mediaService();
    private get jwt();
    getMediaByIds(ids: string[]): Promise<any[]>;
    getMediaById(id: string): Promise<{
        data: any[];
        total: number;
    }>;
    getMediaItemByRefId(refid: string): Promise<any>;
    getHQRenderScriptById(id: string): Promise<any>;
    getRooms(id?: string, mainCategory?: string, style?: string, name?: string): Promise<any[]>;
    getRoomsNew(id?: string, mainCategory?: string, organizationId?: string): Promise<any>;
    getRoomsGrouped(id?: string, mainCategory?: string, style?: string, organizationId?: string): Promise<any[]>;
    getRoomColors(name: string): Promise<any[]>;
    getRoomVariants(id: string): Promise<any[]>;
    getRenderPackages(organizationId?: string): Promise<any[]>;
}
//# sourceMappingURL=index.d.ts.map