export declare enum RequestStatus {
    OPEN = "OPEN",
    IN_PROGRESS = "IN_PROGRESS",
    CLOSED = "CLOSED"
}
export interface ClientRequest {
    _id: string;
    name: string;
    description: string;
    divaNr: string;
    retailerId: string;
    consultantId: string;
    state: RequestStatus;
    createdBy: string;
    created: number;
    lastUpdated?: number;
    zipCode: string;
}
export interface ActivePlanning {
    divanr: string;
    created: string;
    firstName: string;
    lastName: string;
}
//# sourceMappingURL=types.d.ts.map