import React from 'react';
import { Actions, State } from '../..';
import { ApiConfigConfig, Locales } from '../../types';
import { PriceFormat } from '@crystaldesign/diva-utils';
export * from './divaCoreMockProvider';
export declare const DivaMockProvider: (({ children, state, actions }: {
    state: Partial<MockData>;
    actions: Partial<Actions>;
    children: React.ReactElement;
}) => React.JSX.Element) & {
    displayName: string;
};
export type MockData = Omit<State, 'apiConfig'> & {
    locales: Locales;
    language?: string;
    apiConfig: Partial<ApiConfigConfig>;
    priceFormat: PriceFormat;
};
//# sourceMappingURL=index.d.ts.map