import React from 'react';
import { Content } from './Content';
import { DivaCoreProps, useDivaCore } from './store';
import DivaUtils from '@crystaldesign/diva-utils';
import { Event } from './types';
export type { ComponentDefinition, ComponentProps, Modal, External, Component, Action, ReplaceBreadcrumbs, UpdateBreadcrumbs, AddBreadcrumbsParam, BreadcrumbParams, Event, OrganizationInfo, EmailData, } from './types';
export * from '@crystaldesign/basket-model';
export type { DivaCoreState } from './store';
export { Content, useDivaCore, DivaUtils };
export declare const DivaCore: React.ForwardRefExoticComponent<DivaCoreProps & {
    children?: React.ReactElement;
} & React.RefAttributes<{
    invoke: (event: Event) => void;
}>>;
export default DivaCore;
//# sourceMappingURL=DivaCore.d.ts.map